import request from '@/utils/request'

// 列表 
export function list(data) {
  return request({
    url: `/admin/opinions/type/list`,
    method: 'post',
    data
  })
}

// 详情
export function detail(id) {
  return request({
    url: `/admin/opinions/type/queryById/${id}`,
    method: 'get'
  })
}

// 删除
export function remove(id) {
  return request({
    url: `/admin/opinions/type/hitOrSold/${id}/2`,
    method: 'get'
  })
}

// 新增 / 编辑
export function submit(data){
  return request({
    url: `/admin/opinions/type/addOrUpdate`,
    method: 'post',
    data
  })
}